<?php
session_start();
$jahrgang=$_SESSION["jahrgang"];
include_once 'classes/TestProjektSmarty.class.php';
$smarty = new Smarty();
require_once("config.inc.php");
$templatename = substr(basename($_SERVER['PHP_SELF']),0,-3)."html";
require_once "language/german.inc.php";
require_once("functions.php");


if(isset($_GET['action'])){
  $action = $_GET['action'];
}else{
  $action = '';
}

if($action == ''){

  #$db = dbconnect();

  $query = $db->query("SELECT min(jahr) jahr
                         FROM `dep_kat_lvs`
                         
                      ");
  $row = $query->fetch_array();
   
  $query2 = $db->query("SELECT max(jahr)+2 ende_jahr
                         FROM `dep_jahresabschluss`
                      ");
                      
  $row2 = $query2->fetch_array();
  if($row2['ende_jahr'] == ''){
    $ende = intval($row['jahr'])+10;
  }else{
    $ende = intval($row2['ende_jahr']);
  }
  

  for($i=intval($row['jahr']);$i < $ende;$i++){
  $jahre[]= $i;
  }
  @arsort($jahre);
  
#echo "<pre>";
#print_r($jahre);
#echo "</pre>";

  $smarty->assign('jahrgang', $jahre);
#  $smarty->assign('jahrgang_min', $row['jahr']);
#  $smarty->assign('jahrgang_max', $row2['ende_jahr']);
  $smarty->assign('jahrgang_cur_jahrgang', $jahrgang);
  
}

if($action == 'jahr'){
  
  $_SESSION["jahrgang"] = $_POST['jahr'];
  echo "<meta http-equiv=\"refresh\" content=\"0; URL=hauptframe.php\">";
} // Ende Action script

$smarty->assign('action', "$action");
$smarty->display("$template/$templatename");
?>
